#include "picsys18.h"

void
setup()
{
    pinMode(CN7, OUT_SERVO1) ; // RCサーボ制御出力の割り付け

    pinMode(SW1, INPUT) ;
    pinMode(SW2, INPUT) ;

    pinMode(SW4, INPUT) ;
    pinMode(SW5, INPUT) ;
    pinMode(SW6, INPUT) ;
	
    pinMode(LED8, OUTPUT) ;

    SEG7_initDefault() ;
}

int pos = 0 ;

void
loop()
{
    if (digitalRead(SW4) == LOW)
        pos = 0 ;
    if (digitalRead(SW5) == LOW)
        pos += 1 ;
    if (digitalRead(SW6) == LOW)
        pos -= 1 ;

    /* 値は-100(%)から100(%) */
    if (pos > 100)
        pos = 100 ;
    if (pos < -100)
        pos = -100 ;

    digitalWrite(CN7, pos) ;  // サーボの回転制御値の設定

    SEG7_write(pos, SEG7_INT) ; // サーボの制御地を表示
	
    digitalWrite(LED8, ((int)millis()) & 0x400) ;
	
    delayMilliseconds(10) ;
}
